my_government = {

	### brief: government_rules ( enum bitmask container )
	# Properties of a government type that referenced in code and also
	# can be tested by government_allows/disallows triggers.
	# The example value is the default assigned value for the flag.
	# All of these are referenced in code.
	#
	# Note: these are also supported outside of this data structure for
	# the duration of Roads to Power, but this functionality is
	# deprecated.
	#
	government_rules = {

		### brief: create_cadet_branches ( bool )
		# Should rulers be able to create cadet branches
		#
		create_cadet_branches = no

		### brief: religious ( bool )
		# Should rulers be considered clergy
		#
		religious = no

		### brief: court_generate_spouses ( bool )
		# Should new realm get suitable spouses as courtiers
		#
		court_generate_spouses = yes

		### brief: council ( bool )
		# The council is available for this ruler
		#
		council = yes

		### brief: rulers_should_have_dynasty ( bool )
		# Rulers of this government type generate a dynasty
		#
		rulers_should_have_dynasty = no

		### brief: regiments_prestige_as_gold ( bool )
		# Is this govenmnet type using prestige to buy and reinforce
		# MaA Regiments? ( mainteance still costs gold ).
		#
		regiments_prestige_as_gold = no

		### brief: dynasty_named_realms ( bool )
		# Allow using dynasty name as realm name
		#
		dynasty_named_realms = no

		### brief: legitimacy ( bool )
		# Rulers can have legitimacy if there's one valid for them
		#
		legitimacy = yes

		### brief: administrative ( bool )
		# Rule control several admin government mechanics:
		# -	Top liege can have landless vassal who are house heads of
		# 	noble families.
		# -	Allow hiring and usage of MaA that belong to a title
		#
		# Requires the dlc_flag admin_gov
		#
		administrative = no

		### brief: admin_allows_holding_multiple_primary_tier_titles ( bool )
		# Allows administrative rulers to hold multiple primary tier titles
		# - Only valid with admin government types ( administrative = yes )
		# - Only checked during the following title transfer types:
		#		- appointment
		#		- appointment_succession
		#		- stepped_down
		#
		admin_allows_holding_multiple_primary_tier_titles = no

		### brief: landless_playable ( bool )
		# Allow rulers be playable even when they don't have any county
		#
		# Requires the dlc_flag landless_playable
		#
		landless_playable = no

		### brief: allow_out_of_realm_inheritance ( bool )
		# default is no.
		#
		allow_out_of_realm_inheritance = no

		### brief: use_as_base_on_landed ( bool )
		# Switch to this government type when obtaining your first title (becoming landed) if the old holder of the title
		# was this government type
		#
		use_as_base_on_landed = no

		### brief: use_as_base_on_rank_up ( bool )
		# Switch to this government type when independent ruler gets higher tier top tier title from
		# independent ruler with this government type
		#
		use_as_base_on_rank_up = no

		### brief: conditional_maa_refill ( bool )
		# Maa won't normally reinforce, unless they meet specific
		# condition in MaA type trigger. Make sure only a very small
		# number of rulers use this option, because it can negatively
		# affect performance. Rulers with this government flag also
		# do not pay upkeep for their MAAs.
		#
		conditional_maa_refill = no

		### brief: mercenary ( bool )
		# Can unlanded rulers with this government type offer
		# themselves up as mercenaries for landed rulers that are at
		# war? The mercenary company government type is explicitly NOT
		# using this rule, as it has separate handling.
		#
		# Note: this is not the same as the government flag
		# government_is_mercenary, which is referring specifically to
		# the mercenary company government type.
		#
		mercenary = no

		### brief: state_faith ( bool )
		# Uses state faith.
		# Default is no.
		#
		state_faith = no

		## brief: treasury ( bool )
		# Uses the Imperial Treasury resource
		# Default is no
		treasury = no

		## brief: merit ( bool )
		# Uses the Merit resource
		# Default is no
		merit = no

		## brief: uses_county_fertility ( bool )
		# Default is no.
		#
		uses_county_fertility = no

		## brief: replenishes_county_fertility ( bool )
		# Default is no.
		#
		replenishes_county_fertility = no

		## brief: obedience ( bool )
		# Uses obedience.
		# Default is no.
		#
		obedience = no

		## brief: uses_culture_and_house_head_named_realms ( bool )
		# Default is no.
		#
		uses_culture_and_house_head_named_realms = no

		## brief: sticky_government ( bool )
		# Default is no.
		#
		sticky_government = no

		## brief: subject_men_at_arms ( bool )
		# Default is no.
		#
		subject_men_at_arms = no

		### brief: use_title_tier_modifiers ( bool )
		# Enable passive prestige gain from held titles and title tier modifiers
		# Default is yes.
		#
		use_title_tier_modifiers = yes

		### brief: inherit_from_dynastic_government ( bool )
		# All governments are split in 2 groups - strong dynastic and non-dynastic ones
		# Rulers from different dynastic governments can freely inherit from other dynastic governments
		# Rulers from non-dynastic governemnt can't inherit from a dynastic one
		# Many non-dynastic governments are unplayable, so it prevents game over
		# Other non-dynastic governments are considered more advanced, and this prevents inferior
		# dynastic governments from stealing land and non-dynastic vassals via inheritance
		# Default is yes.
		#
		inherit_from_dynastic_government = yes

		### brief: dynasty_named_realms ( bool )
		# The realm of the government using this will have it's map name instead be based on their
		# dynasty and culture - the following rules apply
		# (In this example we use the mongols of the dynasty Borjigin)
		# If you are the culture head - you would be The Mongols
		# If you're not the culture head - but you're the head of your dynasty - you would be The Borjigin Mongols
		# If you're neither - you would have your normal map name
		# Default is no.
		#
		dynasty_named_realms = no

		### brief: deny_powerful_vassal ( bool )
		# Characters with this government rule will never become powerful vassals
		# Default is no.
		#
		deny_powerful_vassal = no

		### brief: use_maa_maintenance ( bool )
		# Characters with this government rule will always pay maintenance on MaA
		# Default is yes.
		#
		use_maa_maintenance = yes

		### brief: no_capital_movement_cooldown ( bool )
		# Default is no.
		#
		no_capital_movement_cooldown = no

		## TODO_TGP add description
		#
		redirects_wars_to_overlord = no

		### brief: noble_families ( bool )
		# Default is no.
		#
		noble_families = no

		### brief: house_aspirations ( bool )
		# Use house aspirations or family attributes
		# Default is no.
		#
		house_aspirations = no

		## brief: replace_gold_cost_by_treasury (bool)
		# This government pays for state expenses with treasury instead of gold. Requires the treasury flag to be set as well.
		# Affected areas: title creation, holding buildings, mercenaries, title regiments..
		# default is no
		#
		replace_gold_cost_by_treasury = no

		### brief: block_alliance_child_marriage (bool)
		# Government flag which disables alliances from childrens' weddings
		# Default is no
		#
		block_alliance_child_marriage = no

		### brief: block_alliance_non_dominant_gender_child_marriage (bool)
		# Government flag which disables alliances from non-dominant childrens' weddings
		# Default is no
		#
		block_alliance_non_dominant_gender_child_marriage = no

		### brief: always_use_patronym ( bool )
		# Patronyms will display for characters if either their Culture or
		# Government has this. Default is no.
		#
		always_use_patronym = no

		### brief: affected_by_development ( bool )
		# Are the counties with owners with this government type affected
		# by development.
		#
		affected_by_development = yes

		### brief: noble_families (bool)
		# Does this government type allow the existence of Noble Family Titles?
		# Default is no.
		#
		noble_families = no

		### brief: considers_piety_for_title_creation ( bool )
		# Considers characters piety for title creation.
		# Default is no
		#
		considers_piety_for_title_creation = no

		### brief: ask_for_tribute ( bool )
		# Can ask other characters to become tributary.
		# Shows tributarization_chance map mode in Realm window
		# Uses offer_tributary_status_interaction interaction
		# Default is no
		#
		ask_for_tribute = no

		### brief: barter ( bool )
		# Enables the bartering system
		# Default is no
		#
		barter = no

		### brief: buildings (bool)
		# Can characters of this government build buildings in their Holdings?
		# Default is yes
		#
		buildings = yes

		### brief: count_tributaries_for_title_requirements (bool)
		# characters of this government will consider their tributaries' land as well
		# when evaluating if they have enough land to create or usurp a title.
		#
		# you always need at least one dejure county.
		#
		# Default is no
		#
		count_tributaries_for_title_requirements = no

		### brief: radiance (bool)
		# characters of this government will have access to the Radiance mechanics
		# Default is no
		#
		radiance = no

		### Brief: disable_regnal_numbers (bool)
		# Will this government disable regnal numbers for titles held by people with the same name
		# throughout its history? Default is no.
		disable_regnal_numbers = no
	}

	### mechanic_type ( government type )
	# Specifies to what "family" of government does this government belong.
	# Not all governments must specify one. This flag is used in Code for some specific checks
	# (such as creation of Nomad titles for Nomad rulers). Not set by default.
	#
	# Supported values:
	#	* feudal
	#	* mercenary
	#	* holy_order
	#	* clan
	#	* theocracy
	#	* administrative
	#	* landless_adventurer
	#	* herder
	#	* nomad
	#	* mandala
	#
	mechanic_type = <unset>

	### is_mechanic_type_default (bool)
	# Should this government be the default of its type? This will be used
	# when spawning new characters or changing government.
	# Only one government per mechanic_type (described above) should be marked as default.
	# All government types listed above should have one default.
	# default is no
	#
	is_mechanic_type_default = no

	### brief: fallback ( integer )
	# At least one government should be scripted as fallback, fallback
	# governments will be selected in order of priority (1 is selected
	# over 2), used when lacking other selection and when populating
	# the map with holdings but no county holder exists. This value
	# will define this government's priority as a fallback when other
	# government types are invalid.
	#
	fallback = 0

	### brief: can_get_government ( trigger )
	# Trigger in character scope; checked when landed to see if it is
	# an appropriate government. If failed, won't get this government
	# (fallback will be used even if this fails if no other government
	# is valid)
	#
	# Supported scopes:
	# 	root: ( Character )
	#		Character being evaluated for the government type
	#
	can_get_government = { ... }

	### brief: can_move_realm_capital ( trigger )
	# Checked when attempting to move realm capital to see if this
	# government type allows that ruler to move it.
	#
	# Default behaviour:
	# Rulers are, if nothing is defined, allowed to move their realm capital.
	#
	# Supported scopes:
	# 	root: ( Character )
	#		The ruler of the realm with this government type.
	can_move_realm_capital = { ... }

	### brief: primary_holding ( database key )
	# What is the primary holding type of this government type? Key is
	# mapped to the holdings database: common/holdings/
	#
	primary_holding = castle_holding

	### brief: valid_holdings ( array of database keys )
	# Holdings that can be held directly by rulers of this government
	# type. The primary holding is always valid. Keys are mapped to the
	# holdings database: common/holdings/
	#
	valid_holdings = { church_holding }

	### brief: required_county_holdings ( array of database keys )
	# Which holdings must be present in a county before more of an
	# existing type or others can be built. Keys are mapped to the
	# holdings database: common/holdings/
	#
	required_county_holdings = { castle_holding city_holding }

	### brief: generated_character_template ( database key, optional )
	# Which scripted character template should be the default used to
	# generate characters for this government type? If none is defined,
	# a generic random character will be created. Keys are mapped to
	# the scripted character template database:
	# common/scripted_character_templates
	# Default: none
	#
	generated_character_template = herder_character

	### brief: primary_heritages ( array of database keys )
	# A list of heritages for which this government type is valid and
	# preferred. If both primary_cultures and primary_heritages are
	# empty, there are no cultural restrictions or preferences. Keys
	# are mapped to all entries within common/culture/pillars with the
	# heritage type.
	#
	primary_heritages = { ... }

	### brief: preferred_religions ( array of database keys )
	# A list of religions for which this government type is preferred.
	# Keys are mapped to common/religion/religions
	#
	preferred_religions = { ... }

	### brief: court_generate_commanders ( integer / bool )
	# Should commanders be generated in courts of this government? Can
	# use a multiplier to the default number.
	#	yes = 1, no = 0
	#
	court_generate_commanders = yes / no / [0, int_max]

	# brief: supply_limit_mult_for_others ( fixed point )
	# Army owners of different govenment type have this multiplier
	# applied to the supply limit
	#
	supply_limit_mult_for_others = 0

	### brief: prestige_opinion_override ( array of int )
	# Override for the opinion bonus that prestige levels gain, number
	# of values should match the define in NCharacterOpinion::
	# PRESTIGIOUS
	#
	prestige_opinion_override = { -20 10 ... }

	###  brief: royal_court ( enum )
	# Should this government allow having a royal court for the ruler and their vassals
	# if of the correct tier from NRoyalCourt::MIN_ROYAL_COURT_TIER
	# none ( default ) - rulers of this government type can't have royal court, no limit on vassals
	# any - rulers do have royal court, no limit on vassals
	# top_liege - only independent rulers can have royal court. Any vassals on any government type can't have royal court
	#
	royal_court = none / any / top_liege

	### brief: blocked_subject_courts (government_type)
	# prevents any vassals of the listed types from having their own royal court in tandem with the restrictions from royal_court
	# if left empty or not present no special restrictions will be set on vassal courts other than those specified by royal_court
	#
	blocked_subject_courts = { government_type_key ... }

	### brief: main_administrative_tier ( enum )
	# Title tier that enables most administrative mechanics
	# Such as title troops, map modes etc
	#
	main_administrative_tier = county / duchy / kingdom

	### brief: min_appointment_tier ( enum )
	# Title tier that enables appointment succession mechanics
	#
	min_appointment_tier = county / duchy / kingdom

	### brief: minimum_provincial_maa_tier ( enum )
	# Lowest title tier allowed to have title troops.
	# This should only be set for administrative government types.
	# Will default to 'duchy' if not set.
	#
	minimum_provincial_maa_tier = county / duchy / kingdom

	### brief: title_maa_setup ( enum )
	# Which titles within the Administrative government type can create title troops
	#   main_administrative_tier_and_top_liege - (default) Main administrative tier (see above) titles, and the top liege primary title
	#   vassals_and_top_liege - Titles that are the main administrative tier or above, and the top liege primary title
	#   top_vassals_and_top_liege - Titles that are directly under the top liege, and the top liege primary title
	title_maa_setup = main_administrative_tier_and_top_liege

	### brief: vassal_contract ( array of database keys )
	# Vassal obligations, how much does the vassal give to their liege.
	# The vassal's government type determines which contract type is
	# used.Note that the values can be changed with the
	# vassal_tax_contribution_add and vassal_levy_contribution_add
	# modifiers. Key are mapped to the vassal contracts database:
	# common/vassal_contracts/
	#
	vassal_contract = {
		# List of vassal contract types
	}

	### brief: house_unity ( database key, optional )
	# Database key pointing to a configuration of house unity this
	# government uses if applicable. Key is mapped to
	# common/house_unities
	#
	house_unity = house_unity_key


	### brief: domicile_type ( database key, optional )
	# Database key pointing to a configuration of domicile this
	# government uses if applicable. Key is mapped to
	# common/domiciles
	#
	domicile_type = domicile type key


	### brief: opinion_of_liege ( scripted value, optional )
	# An opinion bonus or malus that the vassal may have related to their liege, specific to this vassal's government type.
	# Supported variables:
	#	liege
	#	vassal
	#
	opinion_of_liege = { value ... }

	### brief: opinion_of_liege_desc ( dynamic description, optional )
	# Dynamic description related to the opinion_of_liege above. Please fill this in if defining a custom opinion_of_liege
	# Supported variables:
	#	liege
	#	vassal
	#
	opinion_of_liege_desc = { dynamic_desc ... }

	### brief: opinion_of_suzerain ( scripted value, optional )
	# An opinion bonus or malus that the tributary may have related to their suzerain, specific to this vassal's government type.
	# Supported variables:
	#	suzerain
	#	tributary
	#
	opinion_of_suzerain = { value ... }

	### brief: opinion_of_suzerain_desc ( dynamic description, optional )
	# Dynamic description related to the opinion_of_suzerain above. Please fill this in if defining a custom opinion_of_suzerain
	# Supported variables:
	#	suzerain
	#	tributary
	#
	opinion_of_suzerain_desc = { dynamic_desc ... }

	### brief: opinion_of_overlord ( scripted value, optional )
	# An opinion bonus or malus that the subjects may have related to their overlord, specific to this subject's government type.
	# Note: If should apply to both liege and suzerain, use this instead
	#
	# Supported variables:
	#	overlord
	#	subject
	#
	opinion_of_overlord = { value ... }

	### brief: opinion_of_overlord_desc ( dynamic description, optional )
	# Dynamic description related to the opinion_of_overlord above. Please fill this in if defining a custom opinion_of_overlord
	# Note: If should apply to both liege and suzerain, use this instead
	#
	# Supported variables:
	#	overlord
	#	subject
	#
	opinion_of_overlord_desc = { dynamic_desc ... }

	## brief: currency_levels_cap
	# 0-based index of the max piety / prestige / merit / influence level this government allows. defaults are defined in defines.txt
	# The character's level cap will be limited by this value if lower than the default, but otherwise needs modifiers to be higher.
	# Use character_max_[piety/prestige/influence/merit]_level_add to add and remove levels to the default one and alter their max level cap.
	# See the paragraph "Currency Level Cap Explained" below for a detailed rundown of how this system works
	#
	currency_levels_cap = {
		piety = 5
		prestige = 5
		influence = 5
		merit = 9
	}

	### brief: compatible_government_type_succession (government_type)
	# in specific cases (such as when evaluating if a character is eligible for succession in an admin government)
	# this government type also allows the listed government types to be valid candidates. Normally it's only characters
	# of the same government that can be appointed
	#
	compatible_government_type_succession = { government_type_key ... }

	### brief: ai
	# Overrides for some AI functionaltiy when held by an AI with this
	# government type. Note that some features might be disabled for
	# other reasons (e.g. if not independent, if below a certain tier).
	#
	ai = {
		### brief: use_lifestyle ( flag )
		# Whether or not the AI checks for lifestyles.
		#
		use_lifestyle = yes

		### brief: arrange_marriage ( flag )
		# Actively arrange marriages. Can still receive marriage
		# requests if disabled.
		#
		arrange_marriage = yes

		### brief: use_goals ( flag )
		# Use longterm goals (build holdings, perform major decisions,
		# etc)
		#
		use_goals = yes

		### brief: use_decisions ( flag )
		# Use minor decisions.
		#
		use_decisions = yes

		### brief: use_scripted_guis ( flag )
		# Will evaluate using scripted guis.
		#
		use_scripted_guis = yes

		### brief: use_legends ( flag )
		# Will create and promote legends.
		#
		use_legends = yes

		### brief: perform_religious_reformation ( flag )
		#
		perform_religious_reformation = yes

		### brief: use_great_projects (flag)
		# Will evaluate founding new Great Projects and contributing to existing ones
		#
		use_great_projects = no
	}

	### brief: character_modifier ( modifiers )
	# Modifier applied to the ruler character with this government type.
	#
	character_modifier = {}

	### brief: top_liege_character_modifier ( modifiers )
	# Modifier applied to the ruler character with this government type, if they are an independent top liege.
	# This applied on top of the regular 'character_modifier' above.
	#
	top_liege_character_modifier = {}

	### brief: color ( vector 3 )
	# Color for map mode
	#
	color = { 100 100 100 }

	##############
	### AI
	##############

	### brief: ai_ruler_desired_kingdom_titles (scripted value)
	# How many kingdom titles would the a ruler with this government want to keep for themselves?
	# They will try to give away excess kingdoms until they are at the specified value.
	# A negative value will make the AI keep all titles.
	# Default value is defined as AI_RULER_DESIRED_KINGDOM_TITLES_DEFAULT
	#
	# root = the ruler
	ai_ruler_desired_kingdom_titles = -1

	### brief: ai_ruler_desired_empire_titles (scripted value)
	# How many empire titles would a ruler with this government want to keep for themselves?
	# They will try to give away excess empires until they are at the specified value.
	# A negative value will make the AI keep all titles.
	# Default value is defined as AI_RULER_DESIRED_EMPIRE_TITLES_DEFAULT
	#
	# root = the ruler
	ai_ruler_desired_empire_titles = -1

	### brief: ai_can_reassign_council_positions (trigger)
	# Should an AI ruler with this government be allowed to reassign council positions? Default is yes
	#
	# root = the council owner
	#
	ai_can_reassign_council_positions =  { ... }


	### brief: flags ( parameter list )
	# List of flags this government uses. Can be defined as any string
	# that can be referenced by government_has_flag = some_flag.
	#
	flags = {
		some_flag
		some_other_flag
	}
}

Allowed Modifiers
=================

Modifiers referenced by a government object can be only generic
(hardcoded) modifiers, or modifiers generated from the following
databases:
- schemes
- holdings
- lifestyles
- regions

Other generated modifiers are _not_ allowed, such as those from other
governments, men_at_arms_types, cultures, or terrain types.

###
### Currency Level Cap Explained
###
# Characters' maximum achievable levels for Prestige, Piety, Influence and Merit depend on 4 sources:
# * the default maximum level, defined in 00_define.txt
# * the list of level tiers, also defined in 00_define.txt
# * the cap specified in their government
# * the modifiers applied to the Character
#
# Considering Piety for instance, a Character's maximum Level of Devotion depends on:
# * NCharacter.DEFAULT_PIETY_LEVEL_CAP (5)
# * the list of Devotion points needed to achieve every level (NCharacter.LEVELS_PIETY), which has 8 entries
# * the default currency_level_cap.piety for a government is equal to DEFAULT_PIETY_LEVEL_CAP (5), but for Mandala governments this is set to 8.
# 		This means Characters with the Mandala government type will eventually be able to raise their maximum Level of Devotion to Godlike.
# * the relevant modifier is character_max_piety_level_add
#
# Every Character's maximum Level of Devotion starts at their default (5), but it can be increased or decreased by character_max_piety_level_add.
# However it can never be higher than the cap specified by their Government.
#
# Some fictional examples follow. Imagine that:
# * there is a followed_by_the_masses modifier that gives character_max_piety_level_add = 1
# * there is a excommunicated modifier that gives character_max_piety_level_add = -2
# * there is a god_incarnate modifier that gives character_max_piety_level_add = 10
# * the Feudal government has default Piety level cap, while the Mandala government has Piety level cap set to 8.
# * a fictional Unpious government type has a piety cap set at 3.
#
# * a Mandala ruler followed_by_the_masses will have a maximum achievable Level of Devotion of 6 (5 + 1, capped at 8 due to Mandala level cap)
# * a god_incarnate Mandala ruler will have a maximum achievable Level of Devotion of 8 (5 + 10, capped at 8 due to Mandala level cap)
# * a Feudal ruler followed_by_the_masses will have a maximum achievable Level of Devotion of 5 (5 + 1, capped at 5 due to Feudal level cap)
# * an Unpious ruler followed_by_the_masses will have a maximum achievable Level of Devotion of 3 (5 + 1, capped at 3 due to Unpious level cap)
# * an excommunicated Feudal ruler followed_by_the_masses will have a maximum achievable Level of Devotion of 4 (5 + 1 - 2)
# * an excommunicated Unpious ruler will still have a maximum achievable Level of Devotion of 3 (5 - 2, capped at 3)
# * an excommunicated Mandala ruler will have a maximum achievable Level of Devotion of 3 (5 - 2)
# * a god_incarnate excommunicated Mandala ruler will have a maximum achievable Level of Devotion of 8 (5 + 10 - 2, capped at 8)




